package com.huimv.receive.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.huimv.receive.common.token.TokenSign;
import com.huimv.receive.common.utils.Result;
import com.huimv.receive.common.utils.ResultUtil;
import com.huimv.receive.entity.BaseVisiting;
import com.huimv.receive.mapper.BaseVisitingMapper;
import com.huimv.receive.service.IBaseVisitingService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.servlet.http.HttpServletRequest;
import java.time.LocalDateTime;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author author
 * @since 2024-03-06
 */
@Service
public class BaseVisitingServiceImpl extends ServiceImpl<BaseVisitingMapper, BaseVisiting> implements IBaseVisitingService {

    @Autowired
    private BaseVisitingMapper baseVisitingMapper;

    @Override
    public Result delete(Integer id) {
        return ResultUtil.deleteResult(baseVisitingMapper.deleteById(id));
    }
}
